# Update a lead

`PATCH /api/v1/leads/{id}`

Changes the status; sending `company` rewrites all form fields (fields you omit are cleared).

## Path parameters

| Field | Type | Description |
|---|---|---|
| `id` (required) | integer | Lead id. |

## Body

| Field | Type | Description |
|---|---|---|
| `status` | string | Status. Values: `Yeni`, `İletişime geçildi`, `Teklif verildi`, `Aktarıldı`, `Vazgeçildi` |
| `company …` | string | Fields of the create endpoint. |

## Response

```json 200
{
  "lead": {
    "can_edit": true,
    "city": "Konya",
    "company": "Anadolu Gıda Ambalaj",
    "contact_name": "Murat Er",
    "created_at": "2026-10-02T20:07:01",
    "customer_id": null,
    "email": "",
    "fair": "Ambalaj Fuarı 2026 (örnek)",
    "fair_id": 1,
    "id": 11,
    "initials": "AG",
    "interest": "Sıcak",
    "line": "",
    "next_action": "Numune gönder",
    "next_date": "2026-10-07",
    "note": "",
    "opp_id": null,
    "opp_type": "",
    "owner": {
      "full_name": "Deniz Aksoy",
      "id": 1,
      "role": "admin",
      "role_label": "Yönetici",
      "username": "admin"
    },
    "phone": "+90 533 555 33 44",
    "potential_kg": null,
    "products": "",
    "products_text": "",
    "project_note": "",
    "rid": "00QpWFogpnPsXu7",
    "sector": "",
    "status": "İletişime geçildi",
    "status_eff": "İletişime geçildi",
    "supplier": "",
    "task_id": 25,
    "timing": "",
    "title": "Genel Müdür",
    "unit": "kg",
    "visitor_type": "Potansiyel müşteri",
    "wa": "905335553344",
    "website": ""
  },
  "ok": true
}
```
